      subroutine mulmc(b,iesp,ndet,m)
c
c-------------------------------------------------------------------
c     subroutine de multiplication directe de la matrice par m vecteurs
c     la dimension est ndet
c     les vecteurs en donnee sont dans le fichier partitionne 21
c     l'enregistrement i correspond a vecteur i
c     les vecteurs resultats sont ecrits de la meme facon
c     dans le fichier 22
c-------------------------------------------------------------------
c
      IMPLICIT REAL*8 (A-H,O-Y),LOGICAL*1(Z)
      PARAMETER (ngru3=2048,maxda3=300)
c
c    |-*-*-*-*-*-*-*-|-*-*-*-*-*-*-*-|
c    |      b        |       ab      |
      common /ijd/itab,jtab,dtab
      dimension ITAB(NGRU3),JTAB(NGRU3)
      real*4 DTAB(NGRU3)
      DIMENSION B(ndet),iesp(ndet*2)
      do i=1,m
         call mul1c(b,i)
      enddo
      return
      end
